RangeIterator.Builder.IteratorType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.utils

## Enum RangeIterator.Builder.IteratorType

- java.lang.Object
- - java.lang.Enum<RangeIterator.Builder.IteratorType>
  - - org.apache.cassandra.index.sasi.utils.RangeIterator.Builder.IteratorType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RangeIterator.Builder.IteratorType>
  Enclosing class:
    RangeIterator.Builder<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>

      public static enum RangeIterator.Builder.IteratorType
      extends java.lang.Enum<RangeIterator.Builder.IteratorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INTERSECTION`
    `UNION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RangeIterator.Builder.IteratorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RangeIterator.Builder.IteratorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNION

          public static final RangeIterator.Builder.IteratorType UNION

    - #### INTERSECTION

          public static final RangeIterator.Builder.IteratorType INTERSECTION

  - ### Method Detail

    - #### values

          public static RangeIterator.Builder.IteratorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RangeIterator.Builder.IteratorType c : RangeIterator.Builder.IteratorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RangeIterator.Builder.IteratorType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation